import RPi.GPIO as GPIO
import time
import random
GPIO.setmode(GPIO.BCM)
# Start writing your program below

redPins = [21, 20, 16, 12]
bluePins = [17, 27, 22, 10]

for pin in redPins:
    GPIO.setup(pin, GPIO.OUT) 

for pin in bluePins:
    GPIO.setup(pin, GPIO.OUT)

while True:
    try:
        for pin in redPins:
            GPIO.output(pin, GPIO.HIGH)
            time.sleep(random.random()/10)
            GPIO.output(pin, GPIO.LOW)
            time.sleep(random.random()/10)

        for pin in bluePins:
            GPIO.output(pin, GPIO.HIGH)
            time.sleep(random.random()/10)
            GPIO.output(pin, GPIO.LOW)
            time.sleep(random.random()/10) 

    except KeyboardInterrupt:
        break


# Write your program above this line
GPIO.cleanup()
